> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heydollr.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Predict Payment Source Amount And Fee



## OpenAPI

````yaml https://api.heydollr.app/openapi.json get /{version}/predictions/payment-source/amount-and-fees
openapi: 3.1.0
info:
  title: Dollr Open API
  version: 1.0.0
servers: []
security: []
paths:
  /{version}/predictions/payment-source/amount-and-fees:
    get:
      tags:
        - predictions
      summary: Predict Payment Source Amount And Fee
      operationId: >-
        predict_payment_source_amount_and_fee__version__predictions_payment_source_amount_and_fees_get
      parameters:
        - name: version
          in: path
          required: true
          schema:
            const: v1
            type: string
            title: API version
        - name: target_currency
          in: query
          required: true
          schema:
            type: string
            minLength: 3
            maxLength: 3
            pattern: ^[A-Z]{3}$
            title: Currency code (ISO-4217)
            description: Three-letter ISO-4217 currency code (e.g. USD, LRD, NGN)
          description: Three-letter ISO-4217 currency code (e.g. USD, LRD, NGN)
        - name: payment_method
          in: query
          required: true
          schema:
            anyOf:
              - enum:
                  - MTN_MOMO_LBR
                  - ORANGE_MONEY_LBR
                  - AIRTEL_RWA
                  - MTN_MOMO_RWA
                  - ORANGE_MONEY_RWA
                type: string
              - const: CREDIT_CARD
                type: string
              - const: WALLET
                type: string
            title: Payment method
        - name: provider
          in: query
          required: true
          schema:
            enum:
              - MTN_MOMO_LBR
              - ORANGE_MONEY_LBR
              - PAWAPAY
              - STRIPE
              - PLATFORM
            type: string
            title: Provider (e.g. MTN_MOMO_LRD)
        - name: source_type
          in: query
          required: true
          schema:
            enum:
              - INVOICE
              - ORDER
              - SUBSCRIPTION
            type: string
            title: Source type
        - name: source_id
          in: query
          required: true
          schema:
            type: integer
            title: Source id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AmountAndFeePredictionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    AmountAndFeePredictionResponse:
      properties:
        payer_amount:
          type: string
          title: Payer Amount
        payer_currency:
          type: string
          title: Payer Currency
        payee_amount:
          type: string
          title: Payee Amount
        payee_currency:
          type: string
          title: Payee Currency
        platform_fee:
          type: string
          title: Platform Fee
        platform_currency:
          type: string
          title: Platform Currency
        fx_fee:
          anyOf:
            - type: string
            - type: 'null'
          title: Fx Fee
        gateway_fee:
          anyOf:
            - type: string
            - type: 'null'
          title: Gateway Fee
        gateway_currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Gateway Currency
      type: object
      required:
        - payer_amount
        - payer_currency
        - payee_amount
        - payee_currency
        - platform_fee
        - platform_currency
      title: AmountAndFeePredictionResponse
      description: AmountAndFeePredictionResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````